<template>
  <div class="form-part form-title">
    <div class="form-title-buttons">
      <div class="button-c button-save" @click="SendForApprove">Onaya Gönder</div>
    </div>
  </div>
</template>
<script setup lang="ts">
  import { ref, reactive, onBeforeMount } from 'vue'
  import { useDataStore } from '@/stores/dataStore'
  const dataStore = useDataStore()
  import { useUsersStore } from '@/stores/usersStore'
  const usersStore = useUsersStore()
  import { usePiyangoStore } from '../../stores/piyangoStore'
  const piyangoStore = usePiyangoStore()

  const formData = reactive<Record<string,any>>({
    onayDurumuIslemTipiId: 8,
    onayCekilisId: piyangoStore.selectedLottery,
    kisiId: usersStore.userId,
    aciklama: '',
    file:''
  })

  const SendForApprove = async () => {
      let form: any
      let dataForm = new FormData()
      dataForm.append('onayDurumuIslemTipiId', formData.onayDurumuIslemTipiId)
      dataForm.append('onayCekilisId', String(piyangoStore.selectedLottery))
      dataForm.append('kisiId', String(usersStore.userId))
      dataForm.append('file', formData.file)
      dataForm.append('aciklama', formData.aciklama)

      form = await dataStore.dataPost('OnayDurumu/', {
        data: dataForm,
        headers: { 'Content-Type': 'multipart/form-data' },
        toast: { toast: 'Başvurunuz Onay için Gönderildi', type: 'success' }
      })

      if (form !== 'errorfalse') {
        piyangoStore.lotteryApprove = formData.onayDurumuIslemTipiId
      }
  }
</script>
